#ifndef SPELL_WARZ_BATTLEINTERFACE_HPP
#define SPELL_WARZ_BATTLEINTERFACE_HPP 1

#include <iostream>
#include <thread>
#include <chrono>

#include "Character.hpp"
#include "Spell.hpp"
#include "UserInterface.hpp"

class BattleInterface
{
protected:
    static const int maxTurn = 100;
    static int turn;

    Character *player1;
    Character *player2;

public:
    void battleStartAnnounce();
    void battleEndAnnouce();
    void start();

    Character *getWinner();
};

#endif